import java.sql.*;
import com.microsoft.sqlserver.jdbc.*;

public class ConnectionPooling {
    public ConnectionPooling() {
        try
        {
            /*
        	SQLServerConnectionPoolDataSource pds = new SQLServerConnectionPoolDataSource();
        	pds.setURL("jdbc:sqlserver://localhost:1433;databaseName=KursBD;user=sa;password=sql2005");
        	SQLServerPooledConnection pc = (SQLServerPooledConnection)pds.getPooledConnection();
        	System.out.println("START");
            for (int i=0; i<10000; i++)
            {
                Connection connection = pc.getConnection();
                Statement stmt = connection.createStatement();
                ResultSet rs = stmt.executeQuery("SELECT Id, Name FROM Test");
                while (rs.next()) { }
                stmt.close();
                connection.close();
            }
        	System.out.println("STOP");
            //*/  
            ///*            
        	SQLServerDataSource ds = new SQLServerDataSource();
        	ds.setURL("jdbc:sqlserver://localhost:1433;databaseName=KursBD;user=sa;password=sql2005");
            System.out.println("START");
            for (int i=0; i<1000; i++)
            {
                Connection connection = ds.getConnection();
                Statement stmt = connection.createStatement();
                ResultSet rs = stmt.executeQuery("SELECT Id, Name FROM Test");
                while (rs.next()) { }
                stmt.close();
                connection.close();
            }
            System.out.println("STOP");
            //*/
        }
        catch (SQLException se)
        {
            se.printStackTrace();
        }
    }

    public static void main(String[] args)
    {
        new ConnectionPooling();
    }
}
